<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.0  (Linux)">
	<META NAME="CREATED" CONTENT="20070612;15584700">
	<META NAME="CHANGED" CONTENT="20070612;18155400">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		A:link { color: #000080; text-decoration: underline }
		A:visited { color: #800000; text-decoration: underline }
	-->
	</STYLE>
</HEAD>
<BODY LANG="ru-RU" LINK="#000080" VLINK="#800000" DIR="LTR">
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><FONT SIZE=4><B>Практическое
применение GCLib2</B></FONT></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm">	Всвязи с тем, что
означенная библиотека имеет большое
количество функций для решения самых
различных задач, возникла необходимость
в документе, который бы помог
сориентироваться и правильно применить
всю мощь имеющегося кода. Упор в данном
тексте будет делаться не на справочную
информацию по функциям, а именно на
методы и области применения. 
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>Базовые классы.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	В
библиотеке имеется несколько базовых
классов (массив, список, хэш). Эти классы
не требуют пояснения. В библиотеке не
используется STL или glib по той простой
причине, что GCLib &laquo;заточена&raquo; под
операционную систему Linux и только Linux.
Т.е. вы скорее найдете обертку для нового
системного вызова tee, нежели очередную
&laquo;кроссплатформенную&raquo; функцию
&laquo;connect&raquo;.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>Обработка
данных.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	В
GCLib2 большое количество функций направлено
именно на обработку данных. При помощи
низкоуровневых функций был написан
полностью рабочий модуль DNS, код которого
составляют всего ~500 строк. Другие
аналогичные библиотеки доступа к DNS, не
использующие GCLib2, имеют несколько тысяч
строк и требуют много времени чтобы
разобраться в их API. Модуль DNS в GCLib
предоставляет пару функций, назначение
которых не требует даже документирования
(dns_A, dns_MX, dns_ip2name).</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>Строковые
функции.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	К
строковым функциям относятся функции
управления памятью и функции поиска и
выборки определенных данных из имеющегося
блока памяти. Блоки памяти, зачастую
это сетевые пакеты, либо обычные файлы.
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	К
функциям распределения памяти относятся
две функции : изменения размера блока
и копирования блока (gc_realloc и memdup
соответственно).</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">К
простым строковым примитивам относятся
следующие функции :</P>
<TABLE WIDTH=606 BORDER=1 BORDERCOLOR="#000000" CELLPADDING=4 CELLSPACING=0>
	<COL WIDTH=136>
	<COL WIDTH=452>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>chop</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Удалить последний
			символ строки.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>chomp</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Удалить конец строки.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>strchr_r</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Найти символ (с конца).</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>strchrs</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Поиск одного из
			символов.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dstrstr_r</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Поиск строки (с конца).</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dsyms</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Посчитать количество
			символов.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dmemchr</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Поиск символа (в блоке).</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dstrndup</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Скопировать несколько
			символов строки.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dmid_strchr</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Поиск символа между
			двумя указателями (началом и концом).</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dmid_getstr</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Взять строку из буфера.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dstrmid</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Выбрать строку между
			двух других.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dsplit</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Разбить строку.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Drand_str</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Случайная строка.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>int2str</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Число в новую строку.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>stail</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Указатель на последний
			ноль.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>strmov</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Копировать строку.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>strip</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Удалить начальные
			пробельные символы.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>strip2</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Удалить конечные
			пробельные символы.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136 HEIGHT=41>
			<P ALIGN=CENTER><FONT SIZE=2>Dmemmem</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Аналог memmem (3)</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dmid_memmem</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Найти блок между
			указателями.</FONT></P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=136>
			<P ALIGN=CENTER><FONT SIZE=2>Dsprintf</FONT></P>
		</TD>
		<TD WIDTH=452>
			<P ALIGN=CENTER><FONT SIZE=2>Отформатированная
			строка (не более 512 символов).</FONT></P>
		</TD>
	</TR>
</TABLE>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>&laquo;Пакетные&raquo;
функции.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	К
пакетным функциям относится код,
оперирующий с блоками данных, полученных
сетевым путем. Конечно, данный функционал
можно применять и на другие данные.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>Пакетные
примитивы.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	К
пакетным примитивам относятся функции
записи в пакет :</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">pkt_W8,
pkt_W16, pkt_W32, pkt_WS, pkt_WSZ, pkt_WD 
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">каждая
из которых записывает определенные
данные : байт, два байта, четыре байта,
строку, строку с нулем, блок данных.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	Так
же функции чтения из пакета : pkt_R8, pkt_R16,
pkt_R32, pkt_RD.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	При
использовании пакетных примитивов
обязателен контроль выхода за границу
буфера. Эти функции предназначены для
програм на Си. Для программ на Си++
рекомендую использовать DPBuf.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>Устойчивый
буфер.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	Для
&laquo;защищенного&raquo; доступа к любым
данным, без риска выхода за границу
пакета, существует класс - &laquo;устойчивый
буфер&raquo; DPBuf. Класс позволяет читать
данные и перемещаться в любую позицию
пакета. Если в какой-то момент произошел
выход за границу, переменная &laquo;ok&raquo;
буфера  установится в false. При этом чтения
данных не произойдет. На данный момент
реализованы функции чтения (r*) и смещения
(s*), функции записи отсутствуют.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>Файловая
система.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	Системные
вызовы контролирующие файловую систему
на столько базовые, что работа с ними
представляется делом очень нудным и не
рациональным. Неумение пользоваться
данными системными вызовами приводит
либо к отказу от разработки под
операционную систему Linux, либо к переходу
на языки &laquo;более высокого уровня&raquo;.
На практике же достаточно написать пару
функций-оберток, которые будут иметь
удобный интерфейс пользователя и
сохранят всю мощь системного
программирования. В библиотеке GCLib2 я и
реализовал все эти функции. 
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	Функции
быстрого доступа к данным из файла :</P>
<TABLE WIDTH=588 BORDER=1 BORDERCOLOR="#000000" CELLPADDING=4 CELLSPACING=0>
	<COL WIDTH=122>
	<COL WIDTH=448>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>Dfnwrite</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>Записать непосредственно в
			файл.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>Dfnread</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>Прочитать непосредственно из
			файла.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>DFILE</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>Прочитать весь файл.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>DFDMAP</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>mmap'нуть дескриптор файла (все
			данные из него).</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>DFMAP</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>mmap'нуть файл.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>Dread_to_eof</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>Прочитать все из дескриптора.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>Dtmpfd</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>Вернуть дескриптор временного
			файла.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>logToFile</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>Записать строчку в конец файл.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>DSTR</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>Прочитать строчку из файла.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=122>
			<P ALIGN=LEFT>copyFile</P>
		</TD>
		<TD WIDTH=448>
			<P ALIGN=LEFT>Скопировать файл.</P>
		</TD>
	</TR>
</TABLE>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	Функции
контроля файловой системы :</P>
<TABLE WIDTH=586 BORDER=1 BORDERCOLOR="#000000" CELLPADDING=4 CELLSPACING=0>
	<COL WIDTH=152>
	<COL WIDTH=416>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>Dselect</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Ожидать данные.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>DSTAT</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>stat (2)</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>DLSTAT</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>lstat (2)</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>DIONREAD</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Количество байт, доступных
			для чтения.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>fsize</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Размер файла (по имени).</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>fdsize</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Размер файла (по дескриптору).</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>move_stream	</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Переместить все данные из
			одного дескриптора в другой.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>Dnonblock</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Включить неблокируемый режим.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>close_pipe</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Закрыть трубу.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>fdclose</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Закрыть (открытый) дескриптор.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>fext</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Получить расширение файла.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=152>
			<P ALIGN=LEFT>Dfiles</P>
		</TD>
		<TD WIDTH=416>
			<P ALIGN=LEFT>Получить список файлов в
			директории.</P>
		</TD>
	</TR>
</TABLE>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>Сетевой модуль.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	При
системном программировании вы бы
использовали функии bind,connect,send,recv и иже
с ними. На самом деле вам необходимо
две-три функции, объединяющие эти
системные вызовы (&laquo;сетевых примитивов&raquo;).
Здесь вы их и найдете. Все функции
работают (на данный момент) только с
IPv4. Все порты – не сетевой формат. Все
адреса – строка вида &laquo;xxx.xxx.xxx.xxx&raquo;.
Т.е. sockaddr_in нигде не используется.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">Сетевые
примитивы :</P>
<TABLE WIDTH=586 BORDER=1 BORDERCOLOR="#000000" CELLPADDING=4 CELLSPACING=0>
	<COL WIDTH=142>
	<COL WIDTH=426>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>dSocket</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Новый сокет.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>dUdpSocket</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Новый UDP сокет.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>sendToPath</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>послать UDP в именнованый канал.
			(unix socket).</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>sendToSocket</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>послать UDP используя существующий
			сокет.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>sendTo</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Послать UDP непосредственно
			адресату.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>dBind</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>bind'нуть сокет.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>dConnect</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Подключить сокет.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>getHostByName</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Адрес по имени.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>getNameByHost</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Имя по адресу.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>recvFrom</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Получить UDP.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>setBroadcast</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Включить BROADCAST на сокет.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>pollScan</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Найти &quot;готовый&quot; pollfd.</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>Dpoll_add</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Добавить дескриптор в пул. пул
			– EArray с элементами pollfd *</P>
		</TD>
	</TR>
	<TR VALIGN=TOP>
		<TD WIDTH=142>
			<P ALIGN=LEFT>Dpoll_coallesce</P>
		</TD>
		<TD WIDTH=426>
			<P ALIGN=LEFT>Собрать пул для poll (2).</P>
		</TD>
	</TR>
</TABLE>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><B>Сетевые классы.</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	Для
доступа к сети так же есть два класса –
DConnection и DPoll. Первый обобщает всю
информацию, которая может быть необходима
при обработке соединения. Для инициализации
соединения – выполняется &laquo;init&raquo;, и
далее &laquo;bind&raquo; или &laquo;connect&raquo;. Для
UDP необходимо использовать initUdp и
connectUdp. После &laquo;подключения&raquo; вы
можете использовать sendTo, передавая в
качестве аргумента только пакет и его
размер.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm; font-weight: medium">	Использование
DPoll тоже не должно быть проблемой.
Выполняется добавление нужных соединений
или дескрипторов, затем poll_build и в цикле
poll_rebuild. Поиск &laquo;готовых&raquo; выполняется
при помощи scan или непосредственно через
get_poll.</P>
</BODY>
</HTML>